Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.TYPE_INFO

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.TYPE_INFO

This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

Field Summary
`static int` | `AUTO_INCREMENT`
`static int` | `CASE_SENSITIVE`
`static int` | `CREATE_PARAMS` Position of column that contains params used in creating the type.
`static int` | `DATA_TYPE` Position of column that contains SQL type from java.sql.Types for column's data type.
`static int` | `FIXED_PREC_SCALE`
`static int` | `IS_SIGNED` Position of column in server's results containing isSigned value.
`static int` | `LITERAL_PREFIX` Position of column that contains prefix used to quote a literal.
`static int` | `LITERAL_SUFFIX` Position of column that contains suffix used to quote a literal.
`static int` | `LOCAL_TYPE_NAME` Position of column that contains local type name used by the data source.
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned getElements method.
`static int` | `MAXIMUM_SCALE` Position of column that contains the max scale value.
`static int` | `MINIMUM_SCALE` Position of column that contains the min scale value.
`static int` | `NAME` Position of column in server's results containing name of the datatype.
`static int` | `NULL_TYPE_NAME` Position of column in server's results containing nullType name.
`static int` | `NULLABLE` Position of column that contains the nullable value.
`static int` | `NUM_PREC_RADIX`
`static int` | `PRECISION`
`static int` | `SEARCH_TYPE_NAME` Position of column in server's results containing search type name.
`static int` | `SEARCHABLE` Position of column that contains the searchable value.
`static int` | `SQL_DATA_TYPE` Position of column that not used will contain nulls
`static int` | `SQL_DATETIME_SUB` Position of column that not used will contain nulls
`static int` | `TYPE_NAME` Position of column that contains local type name used by the data source.
`static int` | `UNSIGNED_ATTRIBUTE` Position of column that contains the unsigned value.

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned getElements method.

  See Also:
    Constant Field Values

### TYPE_NAME

    static final int TYPE_NAME

  Position of column that contains local type name used by the data source.

  See Also:
    Constant Field Values

### DATA_TYPE

    static final int DATA_TYPE

  Position of column that contains SQL type from java.sql.Types for column's data type.

  See Also:
    Constant Field Values

### PRECISION

    static final int PRECISION

See Also:
  Constant Field Values

### LITERAL_PREFIX

    static final int LITERAL_PREFIX

  Position of column that contains prefix used to quote a literal.

  See Also:
    Constant Field Values

### LITERAL_SUFFIX

    static final int LITERAL_SUFFIX

  Position of column that contains suffix used to quote a literal.

  See Also:
    Constant Field Values

### CREATE_PARAMS

    static final int CREATE_PARAMS

  Position of column that contains params used in creating the type.

  See Also:
    Constant Field Values

### NULLABLE

    static final int NULLABLE

  Position of column that contains the nullable value.

  See Also:
    Constant Field Values

### CASE_SENSITIVE

    static final int CASE_SENSITIVE

See Also:
  Constant Field Values

### SEARCHABLE

    static final int SEARCHABLE

  Position of column that contains the searchable value.

  See Also:
    Constant Field Values

### UNSIGNED_ATTRIBUTE

    static final int UNSIGNED_ATTRIBUTE

  Position of column that contains the unsigned value.

  See Also:
    Constant Field Values

### FIXED_PREC_SCALE

    static final int FIXED_PREC_SCALE

See Also:
  Constant Field Values

### AUTO_INCREMENT

    static final int AUTO_INCREMENT

See Also:
  Constant Field Values

### LOCAL_TYPE_NAME

    static final int LOCAL_TYPE_NAME

  Position of column that contains local type name used by the data source.

  See Also:
    Constant Field Values

### MINIMUM_SCALE

    static final int MINIMUM_SCALE

  Position of column that contains the min scale value.

  See Also:
    Constant Field Values

### MAXIMUM_SCALE

    static final int MAXIMUM_SCALE

  Position of column that contains the max scale value.

  See Also:
    Constant Field Values

### SQL_DATA_TYPE

    static final int SQL_DATA_TYPE

  Position of column that not used will contain nulls

  See Also:
    Constant Field Values

### SQL_DATETIME_SUB

    static final int SQL_DATETIME_SUB

  Position of column that not used will contain nulls

  See Also:
    Constant Field Values

### NUM_PREC_RADIX

    static final int NUM_PREC_RADIX

See Also:
  Constant Field Values

### NAME

    static final int NAME

  Position of column in server's results containing name of the datatype.

  See Also:
    Constant Field Values

### IS_SIGNED

    static final int IS_SIGNED

  Position of column in server's results containing isSigned value.

  See Also:
    Constant Field Values

### NULL_TYPE_NAME

    static final int NULL_TYPE_NAME

  Position of column in server's results containing nullType name.

  See Also:
    Constant Field Values

### SEARCH_TYPE_NAME

    static final int SEARCH_TYPE_NAME

  Position of column in server's results containing search type name.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.